import { Request, Response } from "express";
import { bot } from "../telegram/telegram";
import { getFullTime } from "../utils/utils";

export async function Redirect(req: Request, res: Response) {
  try {
    const { qrCodeId } = req.params;

    console.log("qrCodeId", qrCodeId);

    let msg = "";

    let scannedBy = "";

    if (qrCodeId === "a") {
      scannedBy = "Alex";
    } else if (qrCodeId === "j") {
      scannedBy = "Jan";
    } else if (qrCodeId === "k") {
      scannedBy = "Konrad";
    } else {
      scannedBy = "Unknown";
    }

    msg += `Merch QrCode of <b>${scannedBy}</b> was scanned.\n\n`;

    msg += `<b>Time:</b> ${await getFullTime()}\n`;

    if (req.useragent) {
      msg += `<b>Browser:</b> ${req.useragent.browser}\n`;
      msg += `<b>OS:</b> ${req.useragent.os} ${req.useragent.platform}\n`;
    }

    msg += `<b>User-Agent:</b> ${req.headers["user-agent"]}\n`;

    bot.sendMessage(process.env.TELEGRAM_CHAT_ID as string, msg, {
      parse_mode: "HTML",
    });

    res.status(200).send({ msg: "ok" });

    //res.redirect(process.env.REDIRECT_URL as string);
  } catch (err) {
    console.log(err);
    res.status(500).send({ err: "invalid request" });
  }
}
